Jump to content
JLondon

Powercab edit update question

Recommended Posts

WHERE IS IT?  I've gotten everything updated to 2.8 including the PC+ without issue.  But I can't find a software download for the Powercab Edit app anywhere.  The old version of Powercab Edit recognizes my PC+ and it's new cabs alright - but is there an update to the app or not?   While I'm on the subject, why isn't there any reference to the Powercab on any of the drop-down lists of the Line 6 hardware and software update page?  Heck I was barely able to find this dedicated forum. 

Share this post


Link to post
Share on other sites
1 hour ago, uelef said:

Look here: https://line6.com/software/

You have to choose Powercab Edit at the "All software" popup menu … The new version is 2.00 (not 2.80).

Well there it is!  I could have sworn I looked half a dozen times.  Anyway - THANKS!

Share this post


Link to post
Share on other sites

I have two PowerCab Plus's and did the update without issue, upgraded my PowerCab Edit software but now can't load IR's into either unit. I downloaded the manual to make sure I'm not doing something wrong, but still no luck.

 

Is anyone else having a problem loading IR's to the PC+ after the update? I tried to load the Allure IR's just to make sure that wasn't the problem and those also fail to load. The IR's are the same ones I have loaded in my Helix. This is the error message I see:

 

image.png.57a474379aa8cfa4a2c6d601e75420d4.png

Share this post


Link to post
Share on other sites

Same here. Don't use the ir feature of the PC plus yet, but tried it today. It failed. Will be watching to see developments...

Share this post


Link to post
Share on other sites
On 7/23/2019 at 11:21 PM, johnrjackson said:

I have two PowerCab Plus's and did the update without issue, upgraded my PowerCab Edit software but now can't load IR's into either unit. I downloaded the manual to make sure I'm not doing something wrong, but still no luck.

 

Is anyone else having a problem loading IR's to the PC+ after the update? I tried to load the Allure IR's just to make sure that wasn't the problem and those also fail to load. The IR's are the same ones I have loaded in my Helix. This is the error message I see:

 

image.png.57a474379aa8cfa4a2c6d601e75420d4.png

Absolutely have had the same problem.  But I have discovered the reason is that the PC+ only accepts IRs of 48 (hz or whatever you call it) or lower.  I've always downloaded the higher rated ones so the majority of mine won't work.  If, from now on, you only get the 48's you will have no problem and - truth be told - I've never been able to hear an advantageous difference anyway.

Share this post


Link to post
Share on other sites

@JLondon

 

Thanks for the reply. I wondered the same thing and tried to import the IRs for the Allure pack that were provided for the Helix thinking that those would surely import but had the same error. I'll take a look later this evening to check whether I can import other IRs.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×